package de.szut.casino.security.service;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

@Service
public class MailConfig {
    @Value("${app.mail.host}")
    public String host;

    @Value("${app.mail.port}")
    public Integer port;

    @Value("${app.mail.authentication}")
    public Boolean authenticationEnabled;

    @Value("${app.mail.username}")
    public String username;

    @Value("${app.mail.password}")
    public String password;

    @Value("${app.mail.from-address}")
    public String fromAddress;

    @Value("${app.mail.protocol}")
    public String protocol;
}
