package de.szut.casino.shared.dto;

import jakarta.validation.constraints.NotNull;
import jakarta.validation.constraints.Positive;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class BetDto {
    @NotNull(message = "Bet amount cannot be null")
    @Positive(message = "Bet amount must be positive")
    private BigDecimal betAmount;
}
