package de.szut.casino.dice;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Setter
@Getter
public class DiceResult {
    private boolean win;
    private BigDecimal payout;
    private BigDecimal rolledValue;

    public DiceResult(boolean win, BigDecimal payout, BigDecimal rolledValue) {
        this.win = win;
        this.payout = payout;
        this.rolledValue = rolledValue;
    }
}
